Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.04 LTS
Ubuntu-fr propose des clés USB de Ubuntu et toutes ses « saveurs » ainsi qu'un magnifique t-shirt pour cette toute nouvelle version d'Ubuntu !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 03/01/2018, à 14:18

herodote k210

problème d'enregistrement avec Youtube-dl

Bonjour et bonne année à tous,
j'ai un ordinateur sous ubuntu 14.04 hwe, j'ai installé youtube-dl qui fonctionne, hier j'ai voulu télécharger l'émission "le plus grand cabaret du monde sur son 31" 3go.
En fait il est impossible d'avoir au final le fichier complet youtubedl fait un assemblage, de 2 ou 3 fichiers qu'elle a créé pour télécharger l'émission, mais le compte n'y est pas  le fichier final fait dans 800 à 900 mo.
Il semblerait que y dl une erreur arrive lors du téléchargement et qu'elle ne peut la résoudre.
J'ai fait une mise à jour précédente via sudo apt-get install et la commande fournie dans la page ydl, donc elle est normalement à jour, même si je ne trouve pas le paquet youtube-dl.conf

je vous mets en lien le rendu par le terminal:

jean-marc@gargantua:~$ youtube-dl -f hls_v5_os-1541  https://www.france.tv/france-2/le-grand-cabaret-sur-son-31/364125-emission-du-dimanche-31-decembre-2017.html
[FranceTV] 364125-emission-du-dimanche-31-decembre-2017: Downloading webpage
[FranceTV] 169327172: Downloading video JSON
[FranceTV] 169327172: Downloading geo restriction info
[FranceTV] 169327172: Downloading m3u8 information
[FranceTV] 169327172: Downloading m3u8 information
[hlsnative] Downloading m3u8 manifest
[hlsnative] Total fragments: 1625
[download] Destination: Le grand cabaret sur son 31-169327172.mp4
[download] 100% of 2.95GiB in 08:39
[ffmpeg] Fixing malformed AAC bitstream in "Le grand cabaret sur son 31-169327172.mp4"
jean-marc@gargantua:~$  

J'ai trouvé ceci en anglais, qu'en pensez vous?:
http://aeroquartet.com/movierepair/aac

Dernière modification par herodote k210 (Le 03/01/2018, à 14:19)

Hors ligne

#2 Le 03/01/2018, à 19:12

inbox

Re : problème d'enregistrement avec Youtube-dl

Salut,

J'ai lancé la commande en remplaçant le format par hls_v5_os-222. On verra si ça passe.

A+

[Edit] Pour le fichier en hls_v5_os-222, j'obtiens ceci :

youtube-dl -f hls_v5_os-222 https://www.france.tv/france-2/le-grand-cabaret-sur-son-31/364125-emission-du-dimanche-31-decembre-2017.html
[FranceTV] 364125-emission-du-dimanche-31-decembre-2017: Downloading webpage
[FranceTV] 169327172: Downloading video JSON
[FranceTV] 169327172: Downloading geo restriction info
[FranceTV] 169327172: Downloading m3u8 information
[FranceTV] 169327172: Downloading m3u8 information
[hlsnative] Downloading m3u8 manifest
[hlsnative] Total fragments: 1625
[download] Destination: Le grand cabaret sur son 31-169327172.mp4
[download] 100% of 563.89MiB in 21:01
[ffmpeg] Fixing malformated aac bitstream in "Le grand cabaret sur son 31-169327172.mp4"

En local, le fichier fait 506,9 Mb. J'ai regardé le début et la fin : le fichier semble complet.

Pour vérifier, je tente avec hls_v5_os-1541...

Dernière modification par inbox (Le 03/01/2018, à 19:44)


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne

#3 Le 03/01/2018, à 19:41

serged

Re : problème d'enregistrement avec Youtube-dl

Quelle version de youtube-dl ?
J'ai ça :

$ youtube-dl --version
2017.11.15

Je l'ai téléchargé à partir du ppa deb http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu xenial main (la version des dépôts principaux est trop vieille)


Linux-Mint 18.3 Sylvia 64 (Cinnamon) sur ASUS F2A55/AMD A8-5600K APU

Hors ligne

#4 Le 03/01/2018, à 21:31

herodote k210

Re : problème d'enregistrement avec Youtube-dl

Bonsoir serged,
Celle-ci:

jean-marc@gargantua:~$  youtube-dl --version
2017.12.31
jean-marc@gargantua:~$ 

Dernière modification par herodote k210 (Le 03/01/2018, à 21:34)

Hors ligne

#5 Le 03/01/2018, à 23:02

inbox

Re : problème d'enregistrement avec Youtube-dl

J'ai donc téléchargé le même fichier que toi et cela donne :

youtube-dl -f hls_v5_os-1541 https://www.france.tv/france-2/le-grand-cabaret-sur-son-31/364125-emission-du-dimanche-31-decembre-2017.html
[FranceTV] 364125-emission-du-dimanche-31-decembre-2017: Downloading webpage
[FranceTV] 169327172: Downloading video JSON
[FranceTV] 169327172: Downloading geo restriction info
[FranceTV] 169327172: Downloading m3u8 information
[FranceTV] 169327172: Downloading m3u8 information
[hlsnative] Downloading m3u8 manifest
[hlsnative] Total fragments: 1625
[download] Destination: Le grand cabaret sur son 31-169327172.mp4
[download] 100% of 2.95GiB in 01:18:04
[ffmpeg] Fixing malformated aac bitstream in "Le grand cabaret sur son 31-169327172.mp4"

Le fichier fait 3 Gb et il  est entier.

youtube-dl --version 
2017.05.18.1

Dernière modification par inbox (Le 03/01/2018, à 23:05)


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne

#6 Le 04/01/2018, à 00:05

herodote k210

Re : problème d'enregistrement avec Youtube-dl

D'accord et merci inbox, en fait non toujours pas pour moi, je l'ai refait et cela ne fonctionne pas.
Je vais désinstaller youtube-dl et le réinstaller.
Sinon j'ai   trouver de la doc sur youtubedl.conf mais il n'est pas indiqué où  le mettre, on peut même le télécharger de github.

Pour aac-beat j'ai trouvé ceci:
https://trac.ffmpeg.org/ticket/2782?cve … um_hist=10

Dernière modification par herodote k210 (Le 04/01/2018, à 00:06)

Hors ligne

#7 Le 04/01/2018, à 01:03

herodote k210

Re : problème d'enregistrement avec Youtube-dl

En fait le problème persiste, avant de fixer les problèmes formatage de aac-beatstream, youtube-dl crée deux fichiers un de 3,2go et un autre de 900mo, et puis à la fin celui de 3,2go est supprimé comme par magie.

Hors ligne

#8 Le 04/01/2018, à 09:38

serged

Re : problème d'enregistrement avec Youtube-dl

Même résultat que inbox... VLC le trouve de 4h30mn et des secondes. (version 2017.11.15)


Linux-Mint 18.3 Sylvia 64 (Cinnamon) sur ASUS F2A55/AMD A8-5600K APU

Hors ligne

#9 Le 04/01/2018, à 11:52

inbox

Re : problème d'enregistrement avec Youtube-dl

Une solution serait d'installer une version 16.04 à la place de ta 14.04.

Je pense qu'il s'agit plutôt d'un problème que ffmpeg ne sait pas corriger et non pas un problème avec youtube-dl.


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne

#10 Le 04/01/2018, à 12:01

melixgaro

Re : problème d'enregistrement avec Youtube-dl

salut,
et avec ça ?
ça n'explique pas l'échec avec youtube-dl mais ça pourrait dépanner…


Linux depuis ~2007. Xubuntu seulement.

Hors ligne

#11 Le 04/01/2018, à 23:05

herodote k210

Re : problème d'enregistrement avec Youtube-dl

Bonjour melixgaro je l'ai téléchargé in fine avec dpluzz.
J'avais mils à jour au début de mon installation ffmpeg, pour lire des vidéos. je vais voir si il n'y pas un problème avec, merci inbox de l'information.
J'ai eu ce retour:

jean-marc@gargantua:~$ sudo apt-get install ffmpeg
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Aucune version du paquet ffmpeg n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'il est devenu obsolète
ou qu'il n'est disponible que sur une autre source

E: Le paquet « ffmpeg » n'a pas de version susceptible d'être installée
jean-marc@gargantua:~$ 

Je ne l'ai pas:

jean-marc@gargantua:~$ dpkg -l ffmpeg
Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom            Version      Architecture Description
+++-==============-============-============-=================================
un  ffmpeg         <aucun>      <aucune>     (aucune description n'est disponi
jean-marc@gargantua:~$ 

Dernière modification par herodote k210 (Le 04/01/2018, à 23:25)

Hors ligne

#12 Le 04/01/2018, à 23:40

melixgaro

Re : problème d'enregistrement avec Youtube-dl

pas de ffmpeg sous 14.04 il me semble. Ubuntu a abandonné ffmpeg au profit de avconv pour la 12.04 (environ) ; un paquet ffmpeg existait alors encore mais ne créait qu'un lien avconv -> ffmpeg (les deux programmes sont « frères »). Puis plus de paquet ffmpeg du tout en 14.04. Puis abandon de avconv et… retour à ffmpeg pour 16.04 (à peu près). Un peu pénible faut bien le dire…

PS : dpluzz permet d'utiliser avconv (par défaut) ou ffmpeg.

Ajout : post-scriptum

Dernière modification par melixgaro (Le 04/01/2018, à 23:53)


Linux depuis ~2007. Xubuntu seulement.

Hors ligne

#13 Le 05/01/2018, à 00:10

herodote k210

Re : problème d'enregistrement avec Youtube-dl

En fait pour trusty il est remplacé par le fork avconv présent dans le paquet libav-tools
j'ai libav-tools:

jean-marc@gargantua:~$ dpkg -l libav-tools
Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom            Version      Architecture Description
+++-==============-============-============-=================================
ii  libav-tools    6:11.1-1~ubu amd64        Multimedia player, encoder and tr
jean-marc@gargantua:~$ 

mais pas avconv:

jean-marc@gargantua:~$ dpkg -l avconv
dpkg-query: aucun paquet ne correspond à avconv

Hors ligne

#14 Le 05/01/2018, à 00:14

melixgaro

Re : problème d'enregistrement avec Youtube-dl

oui, j'ai fait un abus de langage, le paquet est libav-tools : libav-tools qui apporte avconv, avplay, avprobe VS. le paquet ffmpeg (pour les versions d'ubuntu où c'est dispo) qui apporte ffmpeg, ffplay, ffprobe.


Linux depuis ~2007. Xubuntu seulement.

Hors ligne

#15 Le 05/01/2018, à 00:50

herodote k210

Re : problème d'enregistrement avec Youtube-dl

J'ai donc mis à jour libav-tools qui m'a ensuite de supprimer un paquet inutile:

jean-marc@gargantua:~$ sudo apt-get install libav-tools
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
libav-tools est déjà la plus récente version disponible.
Le paquet suivant a été installé automatiquement et n'est plus nécessaire :
  rtmpdump
Veuillez utiliser « apt-get autoremove » pour le supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
jean-marc@gargantua:~$ sudo apt-get autoremove rtmpdump
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS :
  rtmpdump
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Après cette opération, 165 ko d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] o
(Lecture de la base de données... 402057 fichiers et répertoires déjà installés.)
Suppression de rtmpdump (2.4+20121230.gitdf6c518-1ubuntu0.1) ...
Traitement des actions différées (« triggers ») pour man-db (2.6.7.1-1ubuntu1) ...
jean-marc@gargantua:~$

Et cela fonctionne presque, le fichier fait 3go au lieu de 3,2go, l'image est là vlc peut donc la lire, mais le son est saccadé.
C'est bien un problème de mise en commun du son et de l'image, c'est pour cela qu'il y a durant l'enregistrement jusqu'à trois fichiers puis plus que deux durant la régulation des problèmes de aac beatstream. A ce moment là le fichier image disparaissait, maintenant il reste, mais je voir à quoi sert le fichier supprimer et que faire pour le problème de son.

Hors ligne

#16 Le 05/01/2018, à 01:00

herodote k210

Re : problème d'enregistrement avec Youtube-dl

C'est une dépendance de ffmpeg mais qui n'est pas en lien direct avec le son mais juste avec le traitement d'un flux.

Hors ligne

#17 Le 05/01/2018, à 01:18

melixgaro

Re : problème d'enregistrement avec Youtube-dl

C'est possible q'une option de avconv ne se comporte pas exactement (ou pas du tout) comme une option de ffmpeg et si youtube-dl est plutôt construit pour fonctionner avec ffmpeg, ça peut créer des comportements bizarres (ceci est pure spéculation). Après, le fichier donné par dpluzz a peut-être le défaut que youtube-dl essaie de corriger à la fin (malformed aac bitstream).


Linux depuis ~2007. Xubuntu seulement.

Hors ligne

#18 Le 05/01/2018, à 10:14

serged

Re : problème d'enregistrement avec Youtube-dl

Quel distrib ? Avec la mienne (LinuxMint 18.3 basée sur Xenial) ffmpeg est revenu, et avconv est devenu un lien vers ffmpeg :

$ avconv
ffmpeg version 2.8.11-0ubuntu0.16.04.1 Copyright (c) 2000-2017 the FFmpeg developers
  built with gcc 5.4.0 (Ubuntu 5.4.0-6ubuntu1~16.04.4) 20160609
  configuration: --prefix=/usr --extra-version=0ubuntu0.16.04.1 --build-suffix=-ffmpeg --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu --incdir=/usr/include/x86_64-linux-gnu --cc=cc --cxx=g++ --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv
  WARNING: library configuration mismatch
  avcodec     configuration: --prefix=/usr --extra-version=0ubuntu0.16.04.1 --build-suffix=-ffmpeg --toolchain=hardened --libdir=/usr/lib/x86_64-linux-gnu --incdir=/usr/include/x86_64-linux-gnu --cc=cc --cxx=g++ --enable-gpl --enable-shared --disable-stripping --disable-decoder=libopenjpeg --disable-decoder=libschroedinger --enable-avresample --enable-avisynth --enable-gnutls --enable-ladspa --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libflite --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libmodplug --enable-libmp3lame --enable-libopenjpeg --enable-libopus --enable-libpulse --enable-librtmp --enable-libschroedinger --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtheora --enable-libtwolame --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx265 --enable-libxvid --enable-libzvbi --enable-openal --enable-opengl --enable-x11grab --enable-libdc1394 --enable-libiec61883 --enable-libzmq --enable-frei0r --enable-libx264 --enable-libopencv --enable-version3 --disable-doc --disable-programs --disable-avdevice --disable-avfilter --disable-avformat --disable-avresample --disable-postproc --disable-swscale --enable-libopencore_amrnb --enable-libopencore_amrwb --enable-libvo_aacenc --enable-libvo_amrwbenc
  libavutil      54. 31.100 / 54. 31.100
  libavcodec     56. 60.100 / 56. 60.100
  libavformat    56. 40.101 / 56. 40.101
  libavdevice    56.  4.100 / 56.  4.100
  libavfilter     5. 40.101 /  5. 40.101
  libavresample   2.  1.  0 /  2.  1.  0
  libswscale      3.  1.101 /  3.  1.101
  libswresample   1.  2.101 /  1.  2.101
  libpostproc    53.  3.100 / 53.  3.100
Hyper fast Audio and Video encoder
usage: ffmpeg [options] [[infile options] -i infile]... {[outfile options] outfile}...

Linux-Mint 18.3 Sylvia 64 (Cinnamon) sur ASUS F2A55/AMD A8-5600K APU

Hors ligne

#19 Le 05/01/2018, à 11:04

melixgaro

Re : problème d'enregistrement avec Youtube-dl

bonjour,
à serged
si tu poses la question à herodote, voir message 1 pour sa distrib.


Linux depuis ~2007. Xubuntu seulement.

Hors ligne

#20 Le 06/01/2018, à 15:48

herodote k210

Re : problème d'enregistrement avec Youtube-dl

Bonjour serged j'ai une version 14.04 hwe de ubuntu
Donc à ce que je vois de ton retour terminal, c'est ffmpeg qui est installé et qui fait le traitement média, mais les supports des codecs ou leur lecture en passe par un avcodec, qui dot dépendre de avconv?
Je vais voir si je vais installer ffmpeg, je vais faire un essai j'ai une partition de secours en ubuntu 16.04 xenial.
En fait cela fonctionne parfaitement avec 16.04.
je reprends le sujet libav-tools est devenu une dépendance de ffmpeg:

jean-marc@gargantua:~$ apt show libav-tools
Package: libav-tools
Version: 7:2.8.11-0ubuntu0.16.04.1
Priority: extra
Section: universe/oldlibs
Source: ffmpeg
Origin: Ubuntu
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Installed-Size: 61,4 kB
Depends: ffmpeg
Breaks: libav-tools-links (<< 7:2.7.2-2~)
Replaces: libav-tools-links (<< 7:2.7.2-2~)
Homepage: https://ffmpeg.org/
Task: ubuntustudio-video
Supported: 3y
Download-Size: 14,3 kB
APT-Manual-Installed: no
APT-Sources: http://fr.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages
Description: Compatibility links for libav-tools (transitional package)
 FFmpeg is the leading multimedia framework, able to decode, encode, transcode,
 mux, demux, stream, filter and play pretty much anything that humans and
 machines have created. It supports the most obscure ancient formats up to the
 cutting edge.
 .
 This is a transitional package that provides the following links:
  * avconv  -> ffmpeg
  * avplay  -> ffplay
  * avprobe -> ffprobe
 This package can be removed, when nothing uses the av* program names anymore.

N: There is 1 additional record. Please use the '-a' switch to see it
jean-marc@gargantua:~$ 

Dernière modification par herodote k210 (Le 06/01/2018, à 16:23)

Hors ligne

#21 Le 06/01/2018, à 17:11

melixgaro

Re : problème d'enregistrement avec Youtube-dl

salut

Dans ton apt show, on lit :

  This is a transitional package that provides the following links:
  * avconv  -> ffmpeg
  * avplay  -> ffplay
  * avprobe -> ffprobe
 This package can be removed, when nothing uses the av* program names anymore.

ça ne dit pas autre chose que libav-tools est devenue une coquille vide et se contente de faire des liens symboliques ffmpeg -> avconv pour permettre aux programmes qui attendent avconv de fonctionner. D'où la dépendance à ffmpeg. C'est exactement la situation opposée à celle qui prévalait pour 12.04 (le paquet ffmpeg était une coquille vide et faisait des liens vers les outils du paquet libav).


Linux depuis ~2007. Xubuntu seulement.

Hors ligne

#22 Le 20/02/2018, à 01:11

herodote k210

Re : problème d'enregistrement avec Youtube-dl

Bonsoir à tous Je reviens sur le sujet que j'ai créé, ici mon ordinateur a déjà ffmpeg, voir les messages 20 et 21.
Mais une question me tracasse quand même dois-je pleinement installer ffmpeg et supprimer libav-tools?

Hors ligne

#23 Le 20/02/2018, à 23:51

melixgaro

Re : problème d'enregistrement avec Youtube-dl

salut,

herodote k210 a écrit :

supprimer libav-tools

J'en vois pas l'intérêt. Ça donne des liens symboliques pour que scripts de l'époque 2012-2014 utilisant avconv continue à fonctionner.


Linux depuis ~2007. Xubuntu seulement.

Hors ligne

#24 Le 22/02/2018, à 01:05

herodote k210

Re : problème d'enregistrement avec Youtube-dl

D'accord et merci melixgaro.
Comme j'ai déjà ffmpeg ce n'est pas la peine de l'installer.

Hors ligne

#25 Le 22/02/2018, à 01:15

melixgaro

Re : problème d'enregistrement avec Youtube-dl

L'installation de libav-tools a nécessairement installé ffmpeg, donc oui il est déjà installé. Cependant, le paquet ffmpeg est sans doute marqué comme installé automatiquement et non pas comme installé manuellement. Je pense que ça implique que le jour où tu désinstalleras le dernier paquet dépendant de ffmpeg, alors ça marquera ffmpeg comme bon à enlever (avec un apt autoremove). Si tu lances

sudo apt install ffmpeg

alors (ça n'installera rien et) ça marquera ffmpeg comme installé manuellement. Et le paquet ffmpeg ne s'enlèvera que si tu le fais explicitement (avec un apt remove).


Linux depuis ~2007. Xubuntu seulement.

Hors ligne